Bug 902246 - engine: event log is reporting that we fail to refresh the iso domain when we put the domain in maintenance
engine: event log is reporting that we fail to refresh the iso domain when we...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Alissa
Leonid Natapov
storage
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-21 03:56 EST by Dafna Ron
Modified: 2016-02-10 13:35 EST (History)
10 users (show)

See Also:
Fixed In Version: SF6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 04:19:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs and screen shot (1.01 MB, application/x-gzip)
2013-01-21 03:56 EST, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11449 None None None Never

  None (edit)
Description Dafna Ron 2013-01-21 03:56:47 EST
Created attachment 684112 [details]
logs and screen shot

Description of problem:

I put the iso domain in maintenance and I can see that the event log is reporting that it failed to refresh the floppy and iso lists while domain is in locked state. 

Version-Release number of selected component (if applicable):

sf3

How reproducible:

100%

Steps to Reproduce:
1. activate an iso domain
2. put domain in maintenance 
3.
  
Actual results:

each time we put the iso domain in maintenance event lg is reporting that we failed to refresh it. 

Expected results:

this alert should appear only when the domain is inactive and not when its in locked state. 

Additional info: screen shot and log

2013-01-21 10:47:45,411 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-3-thread-48) [26357de3] Error code GetIsoListError and error message VDSGenericException: VDSErrorException: Failed to HsmGetIsoListVDS, e
rror = Cannot get ISO list: ('afcde1c5-6022-4077-ab06-2beed7e5e404',)
2013-01-21 10:47:45,411 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-3-thread-48) [26357de3] Command org.ovirt.engine.core.vdsbroker.vdsbroker.HsmGetIsoListVDSCommand return value 
 Class Name: org.ovirt.engine.core.vdsbroker.irsbroker.IsoListReturnForXmlRpc
mVMList                       Null
mStatus                       Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusForXmlRpc
mCode                         314
mMessage                      Cannot get ISO list: ('afcde1c5-6022-4077-ab06-2beed7e5e404',)


2013-01-21 10:47:45,411 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (pool-3-thread-48) [26357de3] HostName = gold-vdsd
2013-01-21 10:47:45,411 ERROR [org.ovirt.engine.core.vdsbroker.VDSCommandBase] (pool-3-thread-48) [26357de3] Command HsmGetIsoListVDS execution failed. Exception: VDSErrorException: VDSGenericException: VDSErrorException: Failed to HsmG
etIsoListVDS, error = Cannot get ISO list: ('afcde1c5-6022-4077-ab06-2beed7e5e404',)
Comment 2 Alissa 2013-01-23 05:54:47 EST
Dafna, please explain what exact behavior is the regression, and from which version. thank you.
Comment 3 Dafna Ron 2013-01-23 06:47:45 EST
the regression is that in 3.0 and 3.1 when we put the iso domain in maintenance we would not get an error alert about not being able to read the iso list of the domain.
Comment 4 Alissa 2013-01-28 04:59:01 EST
Added a check that if the domain is in maintenance,
it is not written in event log in error because it's expected
it cannot be accessed.
Comment 5 Leonid Natapov 2013-02-12 11:40:42 EST
no error when putting ISO domain in maintenance. sf6.
Comment 6 Itamar Heim 2013-06-11 04:19:07 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 04:23:09 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.